Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.expression.support
Class AbstractExpressionParser

    java.lang.Object
      org.springframework.binding.expression.support.AbstractExpressionParser

All Implemented Interfaces:
  ExpressionParser

Direct Known Subclasses:
  BeanWrapperExpressionParser, OgnlExpressionParser

    public abstract class AbstractExpressionParser

extends java.lang.Object
implements ExpressionParser

An expression parser that parses Ognl expressions.

Author:
  Keith Donald

Constructor Summary
`AbstractExpressionParser()`

Method Summary
`protected abstract Expression` | `doParseExpression(java.lang.String expressionString, ParserContext context)`
`boolean` | `getAllowDelimitedEvalExpressions()` Returns if this parser allows delimited eval expressions like `${foo.bar}`.
`java.lang.String` | `getExpressionPrefix()` Returns the configured expression delimiter prefix.
`java.lang.String` | `getExpressionSuffix()` Returns the expression delimiter suffix.
`Expression` | `parseExpression(java.lang.String expressionString, ParserContext context)` Parse the expression string and return a compiled Expression object you can use for evaluation.
`protected java.util.Map` | `parseVariableExpressions(ExpressionVariable[] variables)`
`void` | `setAllowDelimitedEvalExpressions(boolean allowDelmitedEvalExpressions)` Sets if this parser allows eval expressions like ${foo.bar}.
`void` | `setExpressionPrefix(java.lang.String expressionPrefix)` Sets the expression delimiter prefix.
`void` | `setExpressionSuffix(java.lang.String expressionSuffix)` Sets the expression delimiter suffix.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExpressionParser

    public AbstractExpressionParser()

Method Detail

### getExpressionPrefix

    public java.lang.String getExpressionPrefix()

  Returns the configured expression delimiter prefix. Defaults to "${".

### setExpressionPrefix

    public void setExpressionPrefix(java.lang.String expressionPrefix)

  Sets the expression delimiter prefix.

### getExpressionSuffix

    public java.lang.String getExpressionSuffix()

  Returns the expression delimiter suffix. Defaults to "}".

### setExpressionSuffix

    public void setExpressionSuffix(java.lang.String expressionSuffix)

  Sets the expression delimiter suffix.

### getAllowDelimitedEvalExpressions

    public boolean getAllowDelimitedEvalExpressions()

  Returns if this parser allows delimited eval expressions like `${foo.bar}`.

### setAllowDelimitedEvalExpressions

    public void setAllowDelimitedEvalExpressions(boolean allowDelmitedEvalExpressions)

  Sets if this parser allows eval expressions like ${foo.bar}.

### parseExpression

    public Expression parseExpression(java.lang.String expressionString,
                                      ParserContext context)
                               throws ParserException

  Description copied from interface: `ExpressionParser`
  Parse the expression string and return a compiled Expression object you can use for evaluation. Some examples:

           3 + 4
           name.firstName

  Specified by:
    `parseExpression` in interface `ExpressionParser`
  Parameters:
    `expressionString` - the raw expression string to parse
    `context` - a context for influencing this expression parsing routine (optional)
  Returns:
    an evaluator for the parsed expression
  Throws:
    `ParserException` - an exception occurred during parsing

### parseVariableExpressions

    protected java.util.Map parseVariableExpressions(ExpressionVariable[] variables)
                                              throws ParserException

  Throws:
    `ParserException`

### doParseExpression

    protected abstract Expression doParseExpression(java.lang.String expressionString,
                                                    ParserContext context)
                                             throws ParserException

  Throws:
    `ParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD